package com.usky.fire.service;

import com.usky.fire.domain.ReportIndexResult;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.service.vo.CompanyDataVo;
import com.usky.fire.service.vo.IndexResultVo;
import com.usky.fire.service.vo.ReportResultVO;

import java.util.List;

/**
 * <p>
 * 指数结果表 服务类
 * </p>
 *
 * @author han
 * @since 2023-06-27
 */
public interface ReportIndexResultService extends CrudService<ReportIndexResult> {
    /**
     * 指数结果定时生成任务逻辑
     */
    void reportIndexResult();

    /**
     * 报告指数结果-查询
     *
     * @param id   对象ID
     * @param createDate   生成日期
     */
    List<IndexResultVo> indexResultSelect(Integer id, String createDate);

    /**
     * 报告对比
     *
     * @param reportResultVO
     */
    List<Object> reportContrast(ReportResultVO reportResultVO);
}
